taccuino.vo

## Class FarmacoRequestDTO

- java.lang.Object
- - taccuino.vo.FarmacoRequestDTO

- Direct Known Subclasses:
    FarmacoResponseDTO

      public class FarmacoRequestDTO
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FarmacoRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAic()`
    `java.time.LocalDate` | `getDataFineAssunzione()`
    `java.time.LocalDate` | `getDataInizioAssunzione()`
    `java.lang.String` | `getDescrizione()`
    `java.lang.String` | `getNoteAssunzione()`
    `void` | `setAic(java.lang.String aic)`
    `void` | `setDataFineAssunzione(java.time.LocalDate dataFineAssunzione)`
    `void` | `setDataInizioAssunzione(java.time.LocalDate dataInizioAssunzione)`
    `void` | `setDescrizione(java.lang.String descrizione)`
    `void` | `setNoteAssunzione(java.lang.String noteAssunzione)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FarmacoRequestDTO

          public FarmacoRequestDTO()

  - ### Method Detail

    - #### getAic

          public java.lang.String getAic()

    - #### setAic

          public void setAic(java.lang.String aic)

    - #### getDescrizione

          public java.lang.String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(java.lang.String descrizione)

    - #### getNoteAssunzione

          public java.lang.String getNoteAssunzione()

    - #### setNoteAssunzione

          public void setNoteAssunzione(java.lang.String noteAssunzione)

    - #### getDataInizioAssunzione

          public java.time.LocalDate getDataInizioAssunzione()

    - #### setDataInizioAssunzione

          public void setDataInizioAssunzione(java.time.LocalDate dataInizioAssunzione)

    - #### getDataFineAssunzione

          public java.time.LocalDate getDataFineAssunzione()

    - #### setDataFineAssunzione

          public void setDataFineAssunzione(java.time.LocalDate dataFineAssunzione)